"""This module holds urls for the ``photostories`` app."""

from macrosurl import url

from . import views


app_name = 'photostories'

urlpatterns = [
    url(
        r'^activities/create/$',
        views.PhotostoryCreateView.as_view(),
        name='photostory-create'
    ),
    url(
        r'^activities/:photostory_uuid/$',
        views.PhotostoryDetailView.as_view(),
        name='photostory-detail'
    ),
    url(
        r'^activities/:photostory_uuid/export/$',
        views.PhotostoryExportView.as_view(),
        name='photostory-export'
    ),
    url(
        r'^activities/:photostory_uuid/edit/$',
        views.PhotostoryUpdateView.as_view(),
        name='photostory-edit'
    ),
    url(
        r'^activities/session/:session_uuid/$',
        views.PhotostoryListViewBySession.as_view(),
        name='photostory-list-by-session'
    ),
    url(
        r'^activities/:photostory_uuid/session/:session_uuid/export/$',
        views.PhotostoryExportView.as_view(),
        name='photostory-export-by-session'
    ),
]
